Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateExecuteOperator Class Reference

The class eZTemplateExecuteOperator does. More...

## Public Member Functions
| __construct ( $fetchName='fetch', $fetchAliasName='fetch_alias')
| operatorList ()
| namedParameterPerOperator ()
| operatorTemplateHints ()
| fetchTransform ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators
| $Fetch
| $FetchAlias

## Detailed Description

The class eZTemplateExecuteOperator does.

Definition at line 17 of file eztemplateexecuteoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateExecuteOperator::__construct | ( |  | $fetchName = `'fetch'`,
|  |  | $fetchAliasName = `'fetch_alias'`
| ) |  |

Constructor

Parameters

  string | $fetchName |
  string | $fetchAliasName |

Definition at line 25 of file eztemplateexecuteoperator.php.

## Member Function Documentation

## ◆ fetchTransform()

eZTemplateExecuteOperator::fetchTransform | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 65 of file eztemplateexecuteoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), eZTemplateNodeTool\elementDynamicArray(), eZTemplateNodeTool\elementDynamicArrayKeys(), eZTemplateNodeTool\extractFunctionNodePlacement(), eZTemplateNodeTool\isConstantElement(), eZTemplateNodeTool\isDynamicArrayElement(), eZTemplateNodeTool\isInternalCodePiece(), eZTemplateNodeTool\isVariableElement(), eZFunctionHandler\moduleFunctionInfo(), and eZDebug\writeError().

## ◆ modify()

eZTemplateExecuteOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Calls a specified module function and returns the result.

Definition at line 319 of file eztemplateexecuteoperator.php.

References eZFunctionHandler\execute(), and eZFunctionHandler\executeAlias().

## ◆ namedParameterList()

eZTemplateExecuteOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 297 of file eztemplateexecuteoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateExecuteOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 43 of file eztemplateexecuteoperator.php.

## ◆ operatorList()

eZTemplateExecuteOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 35 of file eztemplateexecuteoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateExecuteOperator::operatorTemplateHints | ( |  | ) |

Definition at line 48 of file eztemplateexecuteoperator.php.

## Member Data Documentation

## ◆ $Fetch

eZTemplateExecuteOperator::$Fetch

Definition at line 341 of file eztemplateexecuteoperator.php.

## ◆ $FetchAlias

eZTemplateExecuteOperator::$FetchAlias

Definition at line 342 of file eztemplateexecuteoperator.php.

## ◆ $Operators

eZTemplateExecuteOperator::$Operators

Definition at line 339 of file eztemplateexecuteoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- eztemplateexecuteoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.